Package org.eclipse.net4j.util.event

# Class Event

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event

All Implemented Interfaces:
  `Serializable`, `IEvent`

Direct Known Subclasses:
  `ContainerEvent`, `LifecycleEvent`, `NotifyingMonitor.ProgressEvent`, `OptionsEvent`, `PropertiesEvent`, `RollingLog.RollingLogEvent`, `SashComposite.OrientationChangedEvent`, `SingleDeltaContainerEvent`, `ThrowableEvent`, `ValueEvent`

public class Event extends EventObject implements IEvent
A default implementation of an `event`.

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`Event(INotifier notifier)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`formatAdditionalParameters()`
`protected String`
`formatEventName()`
`INotifier`
`getSource()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Event

public Event(INotifier notifier)

## Method Details

### getSource

public INotifier getSource()

Specified by:
  `getSource` in interface `IEvent`
Overrides:
  `getSource` in class `EventObject`

### toString

public String toString()

Overrides:
  `toString` in class `EventObject`

### formatEventName

protected String formatEventName()

Since:
  3.7

### formatAdditionalParameters

protected String formatAdditionalParameters()

Since:
  3.0